public class InformationOverlay
{
  String overlayName;
  PImage overlayImage;
  int positionX;
  int positionY;
  Boolean visible = false;
  long timestamp = 0;

  public InformationOverlay(String _name, String _img, String _positionX, String _positionY)
  {
    this.overlayName = _name;
    this.overlayImage = loadImage(_img); 
    this.positionX = int(_positionX);
    this.positionY = int(_positionY);
    println(overlayName+" "+_img+" "+positionX+" "+positionY);
  }

  void draw()
  {
    fill(255);
    noStroke();
    rect(positionX, positionY, 160, 160);
    imageMode(CORNER);
    image(overlayImage, positionX+5, positionY+5);
  }
}

